curl --request PATCH \
--url https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userGroup": {
"name": "<string>",
"roleId": "<string>",
"isDefault": true,
"userIds": [
"<string>"
],
"isExternal": true
},
"updateMask": "<string>"
}
'{
"userGroup": {
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
}Updates a user group.
curl --request PATCH \
--url https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userGroup": {
"name": "<string>",
"roleId": "<string>",
"isDefault": true,
"userIds": [
"<string>"
],
"isExternal": true
},
"updateMask": "<string>"
}
'{
"userGroup": {
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A successful response.
Show child attributes
Was this page helpful?